"use strict";
exports.__esModule = true;
var ComPrintHandler = (function () {
    function ComPrintHandler() {
    }
    ComPrintHandler.prototype.print = function (comport, text) {
        var SerialPort = require("serialport").SerialPort;
        var serialPort = new SerialPort(comport, {
            baudrate: 9600,
            stopbits: 1,
            databits: 8,
            parity: "none"
        }, true);
        serialPort.on("open", function () {
            var _this = this;
            this.log("Printerport open ");
            var msg = new Buffer(text, "base64");
            serialPort.write(msg, function (err, results) {
                _this.log("Print Finish " + msg.length);
                serialPort.close();
            });
        });
    };
    return ComPrintHandler;
}());
exports.ComPrintHandler = ComPrintHandler;
//# sourceMappingURL=ComPrintHandler.js.map